Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class AuthenticationResultUtils

    java.lang.Object
      org.springframework.flex.security3.AuthenticationResultUtils

    public abstract class AuthenticationResultUtils

extends Object

Helper that ensures consistent handling of a Spring Security `Authentication`, providing translation to a structure that will be useful to a Flex client in determining the credentials of an authenticated user.

When this helper is used to convert the `Authentication` into a BlazeDS message, the body of the returned message will contain the following properties as obtained from the `Authentication` object:

- name - the "name" property from the authentication
- authorities - an array of String representations of the authentication's authorities (i.e. obtained through `GrantedAuthority.getAuthority()`)

Author:
  Jeremy Grelle

Constructor Summary
`AuthenticationResultUtils()`

Method Summary
`static Map<String,Object>` | `getAuthenticationResult()` Checks for an `Authentication` object in the current `SecurityContext` and if one is found, constructs and returns a map that will result in an object of the expected format when returned to the Flex client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationResultUtils

    public AuthenticationResultUtils()

Method Detail

### getAuthenticationResult

    public static Map<String,Object> getAuthenticationResult()

  Checks for an `Authentication` object in the current `SecurityContext` and if one is found, constructs and returns a map that will result in an object of the expected format when returned to the Flex client.

  Returns:
    a map of the `Authentication` properties to be serialized over AMF, or null if no Authentication is found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.